Subject: Re: bug#32875: Network problem during pull triggers bug alert

From: zimoun <[email-masked]>
Date: Sat, 19 Dec 2020 00:40:47 +0100

Hi,

This bug #32875 seems about a transient network issue.

  <http://issues.guix.gnu.org/issue/32875>

If no moreinfo is provided, I will close it after the usual 3 weeks
delay.

On Sat, 29 Sep 2018 at 11:49, Bake Timmons <[email-masked]> wrote:
> I just tried a pull and suppose that a network problem prevented access
> to git.savannah.gnu.org.  A bug alert followed, and the transcript is
> attached.  Thanks!
>
> --8<---------------cut here---------------start------------->8---
> guix pull --no-substitutes --verbose

> [...]

> ;;; Failed to autoload make-session in (gnutls):
> ;;; missing interface for module (gnutls)
> ;;; Failed to autoload make-session in (gnutls):
> ;;; missing interface for module (gnutls)
> ;;; Failed to autoload connection-end/client in (gnutls):
> ;;; missing interface for module (gnutls)
> Initialized empty Git repository in /gnu/store/4qpd3i6c0nc6hxmxcfyzc3q0z5ia3j90-guix-0.15.0-4.7fed935-checkout/.git/
> fatal: unable to access 'https://git.savannah.gnu.org/r/guix.git/': Couldn't connect to server
> fatal: unable to access 'https://git.savannah.gnu.org/r/guix.git/': Couldn't connect to server
> Backtrace:
>            3 (primitive-load "/gnu/store/ggcs6p8a2wmjrks4frk7agcd9gz?")
> In ice-9/eval.scm:
>    293:34  2 (_ #<directory (guile-user) 7cc140>)
> In guix/build/git.scm:
>     48:10  1 (git-fetch "https://git.savannah.gnu.org/r/guix.git" "?" ?)
> In guix/build/utils.scm:
>     616:6  0 (invoke _ . _)

> guix/build/utils.scm:616:6: In procedure invoke:
> Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "/gnu/store/04k1bjvimvj54z4612xrdxx5fp7mh9xd-git-2.19.0/bin/git" arguments: ("fetch" "origin") exit-status: 128 term-signal: #f stop-signal: #f] 93a480>)'.
> environment variable `PATH' unset
> builder for `/gnu/store/8yqqd3ssr9ahc9q5hbhfrgrdm9s9f651-guix-0.15.0-4.7fed935-checkout.drv' failed with exit code 1
> cannot build derivation `/gnu/store/82xwkws6l4x69pfmk75dr7kb8szmh1zz-guix-daemon-0.15.0-4.7fed935.drv': 1 dependencies couldn't be built
> Backtrace:
>           13 (primitive-load "/gnu/store/r8zwbgh20pvz8fibh117whskk8i?")
> In ice-9/eval.scm:
>     155:9 12 (_ _)
>     159:9 11 (_ #(#(#(#(#(#(#(#(#(#(#(?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> In ./guix/store.scm:
>   1592:24 10 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
> In ./guix/gexp.scm:
>     676:2  9 (_ _)
> In ./guix/monads.scm:
>     485:9  8 (_ _)
> In ./guix/gexp.scm:
>    542:22  7 (_ _)
> In ./guix/store.scm:
>   1488:38  6 (_ #<build-daemon 256.97 25baf50>)
> In ./guix/packages.scm:
>    881:14  5 (cache! #<weak-table 498/883> #<package guix-daemon@0.?> ?)
> In unknown file:
>            4 (_ #<procedure thunk ()> #<procedure list _> #<undefined>)
> In ./guix/grafts.scm:
>     303:4  3 (graft-derivation #<build-daemon 256.97 25baf50> #<der?> ?)
>     181:4  2 (references-oracle #<build-daemon 256.97 25baf50> #<der?>)
>    190:20  1 (_ _ _)
> In ./guix/store.scm:
>   1087:15  0 (_ #<build-daemon 256.97 25baf50> _ _)

> ./guix/store.scm:1087:15: Throw to key `srfi-34' with args `(#<condition &nix-protocol-error [message: "build of `/gnu/store/82xwkws6l4x69pfmk75dr7kb8szmh1zz-guix-daemon-0.15.0-4.7fed935.drv' failed" status: 1] 3d52e10>)'.
> guix pull: error: You found a bug: the program '/gnu/store/r8zwbgh20pvz8fibh117whskk8if3kg0-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6f91223fd4889301a099f75ecc855031a300fcfe"; system: "x86_64-linux";
> host version: "2cf2c778846153f3d5a56e98232fbef6f71b57a6"; pull-version: 1).
> Please report it by email to <[email-masked]>.
> --8<---------------cut here---------------end--------------->8---

I guess, it is before inferiors and “time-machine” seems not doable from
2cf2c778846153f3d5a56e98232fbef6f71b57a6.  My attempt fails.

All the best,
simon